OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.ParallelShaderCompile

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBParallelShaderCompile :: MonadIO m => m Bool
- gl_ARB_parallel_shader_compile :: Bool
- gl_COMPLETION_STATUS_ARB :: GLenum
- gl_MAX_SHADER_COMPILER_THREADS_ARB :: GLenum
- glMaxShaderCompilerThreadsARB :: MonadIO m => GLuint -> m ()

# Extension Support

glGetARBParallelShaderCompile :: MonadIO m => m Bool

Is the ARB_parallel_shader_compile extension supported?

gl_ARB_parallel_shader_compile :: Bool

Is the ARB_parallel_shader_compile extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBParallelShaderCompile` in those cases instead.

# Enums

gl_COMPLETION_STATUS_ARB :: GLenum

gl_MAX_SHADER_COMPILER_THREADS_ARB :: GLenum

# Functions

glMaxShaderCompilerThreadsARB

Arguments

:: MonadIO m |
=> GLuint | `count`.
-> m () |